package cn.com.countrygarden.bi.main.dao.performance;


import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.performance.PerformanceEnv;
import cn.com.countrygarden.bi.main.model.performance.PerformanceScore;
import cn.com.countrygarden.bi.main.model.performance.dto.PerformanceEnvDto;
import cn.com.countrygarden.bi.main.model.performance.dto.PerformanceScoreDto;
import cn.com.countrygarden.bi.main.model.performance.dto.PerformanceScoreListDto;

import org.apache.ibatis.annotations.Param;


import java.util.List;

/**
 * 层级参数
 *
 * @author leo 严明斌
 * @version 2018-4-3 16:58:32
 */
public interface PerformanceEnvMapper extends Mapper<PerformanceEnv> {
    public PerformanceScoreDto selectScoreList(@Param("hierarchyId") String hierarchyId, @Param("element") String element,
                                               @Param("year") Integer year, @Param("quarter") Integer quarter);

    public int insertEnvList(@Param("envList") List<PerformanceEnv> envList);

    public List<PerformanceEnvDto> selectById(@Param("hierarchyIdList") List<String> hierarchyIdList);

    public PerformanceEnv getByHierarchyId(@Param("env") PerformanceEnv env);

    public List<String> selectNotInName(PerformanceScore performanceScore);

    public List<String> selectNotInNameCompany(PerformanceScore performanceScore);

    public List<PerformanceEnv> selectPerformanceOrgan();

    public List<PerformanceEnv> selectPerformanceCompany();

    //过滤城市公司和有效的区域
    public List<String> selectOrganFilter(List<String> list);

    //查询缺少的月度区域
    public List<String> selectMonthlyNotInNameRegion(@Param("year") int year,@Param("month") int month,@Param("elementId") long elementId);
}
